> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/nodejs/cloud-api/models/imageproperties.md).

# ImageProperties

## Properties

| Name                    | Type               | Description                                                                            | Notes                                           |
| ----------------------- | ------------------ | -------------------------------------------------------------------------------------- | ----------------------------------------------- |
| **cloudInit**           | **string**         | Cloud init compatibility.                                                              | \[optional] \[default to undefined]             |
| **cpuHotPlug**          | **boolean**        | Hot-plug capable CPU (no reboot required).                                             | \[optional] \[default to undefined]             |
| **cpuHotUnplug**        | **boolean**        | Hot-unplug capable CPU (no reboot required).                                           | \[optional] \[default to undefined]             |
| **description**         | **string**         | Human-readable description.                                                            | \[optional] \[default to undefined]             |
| **discScsiHotPlug**     | **boolean**        | Hot-plug capable SCSI drive (no reboot required).                                      | \[optional] \[default to undefined]             |
| **discScsiHotUnplug**   | **boolean**        | Hot-unplug capable SCSI drive (no reboot required). Not supported with Windows VMs.    | \[optional] \[default to undefined]             |
| **discVirtioHotPlug**   | **boolean**        | Hot-plug capable Virt-IO drive (no reboot required).                                   | \[optional] \[default to undefined]             |
| **discVirtioHotUnplug** | **boolean**        | Hot-unplug capable Virt-IO drive (no reboot required). Not supported with Windows VMs. | \[optional] \[default to undefined]             |
| **imageAliases**        | **Array\<string>** | List of image aliases mapped for this image                                            | \[optional] \[readonly] \[default to undefined] |
| **imageType**           | **string**         | The image type.                                                                        | \[optional] \[readonly] \[default to undefined] |
| **licenceType**         | **string**         | The OS type of this image.                                                             | \[default to undefined]                         |
| **location**            | **string**         | The location of this image/snapshot.                                                   | \[optional] \[readonly] \[default to undefined] |
| **name**                | **string**         | The resource name.                                                                     | \[optional] \[default to undefined]             |
| **nicHotPlug**          | **boolean**        | Hot-plug capable NIC (no reboot required).                                             | \[optional] \[default to undefined]             |
| **nicHotUnplug**        | **boolean**        | Hot-unplug capable NIC (no reboot required).                                           | \[optional] \[default to undefined]             |
| **\_public**            | **boolean**        | Indicates whether the image is part of a public repository.                            | \[optional] \[readonly] \[default to undefined] |
| **ramHotPlug**          | **boolean**        | Hot-plug capable RAM (no reboot required).                                             | \[optional] \[default to undefined]             |
| **ramHotUnplug**        | **boolean**        | Hot-unplug capable RAM (no reboot required).                                           | \[optional] \[default to undefined]             |
| **size**                | **number**         | The image size in GB.                                                                  | \[optional] \[readonly] \[default to undefined] |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/nodejs/cloud-api/models/imageproperties.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
